diff --git a/oshmem/include/pshmem.h b/oshmem/include/pshmem.h
index a48231fefa1..8ab2cda8183 100644
--- a/oshmem/include/pshmem.h
+++ b/oshmem/include/pshmem.h
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2014-2016 Mellanox Technologies, Inc.
+ * Copyright (c) 2014-2017 Mellanox Technologies, Inc.
  *                         All rights reserved.
  * Copyright (c) 2014      Intel, Inc. All rights reserved
  * Copyright (c) 2016      Research Organization for Information Science
@@ -464,7 +464,6 @@ OSHMEM_DECLSPEC  void pshmem_quiet(void);
  */
 OSHMEM_DECLSPEC void pshmem_broadcast32(void *target, const void *source, size_t nlong, int PE_root, int PE_start, int logPE_stride, int PE_size, long *pSync);
 OSHMEM_DECLSPEC void pshmem_broadcast64(void *target, const void *source, size_t nlong, int PE_root, int PE_start, int logPE_stride, int PE_size, long *pSync);
-OSHMEM_DECLSPEC void pshmem_broadcast(void *target, const void *source, size_t nlong, int PE_root, int PE_start, int logPE_stride, int PE_size, long *pSync);
 OSHMEM_DECLSPEC void pshmem_collect32(void *target, const void *source, size_t nlong, int PE_start, int logPE_stride, int PE_size, long *pSync);
 OSHMEM_DECLSPEC void pshmem_collect64(void *target, const void *source, size_t nlong, int PE_start, int logPE_stride, int PE_size, long *pSync);
 OSHMEM_DECLSPEC void pshmem_fcollect32(void *target, const void *source, size_t nlong, int PE_start, int logPE_stride, int PE_size, long *pSync);
diff --git a/oshmem/shmem/c/profile/defines.h b/oshmem/shmem/c/profile/defines.h
index 9a376a941ff..7f61bc2738f 100644
--- a/oshmem/shmem/c/profile/defines.h
+++ b/oshmem/shmem/c/profile/defines.h
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2013-2016 Mellanox Technologies, Inc.
+ * Copyright (c) 2013-2017 Mellanox Technologies, Inc.
  *                         All rights reserved.
  * $COPYRIGHT$
  *
@@ -305,7 +305,6 @@
  */
 #define shmem_broadcast32            pshmem_broadcast32
 #define shmem_broadcast64            pshmem_broadcast64
-#define shmem_broadcast              pshmem_broadcast
 #define shmem_collect32              pshmem_collect32
 #define shmem_collect64              pshmem_collect64
 #define shmem_fcollect32             pshmem_fcollect32
diff --git a/oshmem/shmem/c/shmem_broadcast.c b/oshmem/shmem/c/shmem_broadcast.c
index dc7334aec1a..255ba7b0d15 100644
--- a/oshmem/shmem/c/shmem_broadcast.c
+++ b/oshmem/shmem/c/shmem_broadcast.c
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2013      Mellanox Technologies, Inc.
+ * Copyright (c) 2013-2017 Mellanox Technologies, Inc.
  *                         All rights reserved.
  * $COPYRIGHT$
  *
@@ -108,7 +108,6 @@ static void _shmem_broadcast(void *target,
 
 #if OSHMEM_PROFILING
 #include "oshmem/include/pshmem.h"
-#pragma weak shmem_broadcast = pshmem_broadcast
 #pragma weak shmem_broadcast32 = pshmem_broadcast32
 #pragma weak shmem_broadcast64 = pshmem_broadcast64
 #include "oshmem/shmem/c/profile/defines.h"
@@ -116,4 +115,3 @@ static void _shmem_broadcast(void *target,
 
 SHMEM_TYPE_BROADCAST(_broadcast32, sizeof(uint32_t))
 SHMEM_TYPE_BROADCAST(_broadcast64, sizeof(uint64_t))
-SHMEM_TYPE_BROADCAST(_broadcast, sizeof(uint64_t))
